{
  description = "tree-sitter implementation for nix-shell scripts";
  inputs = {
    nixpkgs.url = "nixpkgs/nixos-unstable";
    flake-utils.url = github:numtide/flake-utils;
  };

  outputs = { self, nixpkgs, flake-utils }:
    with flake-utils.lib; eachSystem allSystems (system:
    let
      pkgs = import nixpkgs {
        inherit system;
      };
    in rec {
      packages.tree-sitter-nix-shell = pkgs.callPackage ./default.nix { };
      defaultPackage = packages.tree-sitter-nix-shell;

      devShells.default = pkgs.callPackage ./shell.nix { };
    });
}
